<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."radio_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."radio_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."radio_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."radio_panel/locale/English.php";
}


// Infusion general information
$inf_title = $locale['RAP001'];
$inf_description = $locale['RAP002'];
$inf_version = "2.0";
$inf_developer = "fetloser/rawhead/Domi";
$inf_email = "Naaah@woho.com";
$inf_weburl = "http://php-fusion.se";

$inf_folder = "radio_panel"; // The folder in which the infusion resides.
$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

//V7 STUFF HERE

// Delete any items not required below.
$inf_newtable[1] = RADIO." (
radio_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
radio_ch VARCHAR(150) DEFAULT '' NOT NULL,
radio_parent VARCHAR(20) DEFAULT '' NOT NULL,
radio_dcp VARCHAR(100) DEFAULT '' NOT NULL,
PRIMARY KEY (radio_id)
) TYPE=MyISAM;";


$inf_newtable[2] = RADIO_SET." (
radio_set_id SMALLINT(2) DEFAULT '0' NOT NULL,
radio_set_hi VARCHAR(3) DEFAULT '' NOT NULL,
radio_set_wi VARCHAR(3) DEFAULT '' NOT NULL,
radio_set_pre VARCHAR(50) DEFAULT '' NOT NULL,
radio_set_pic VARCHAR(150) DEFAULT '' NOT NULL,
radio_set_rez VARCHAR(50) DEFAULT '' NOT NULL,
PRIMARY KEY (radio_set_id)
) TYPE=MyISAM;";


$inf_newtable[3] = RADIO_PARENT." (
radio_id SMALLINT(2) UNSIGNED NOT NULL AUTO_INCREMENT,
radio_parent VARCHAR(20) DEFAULT '' NOT NULL,
PRIMARY KEY (radio_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = RADIO_SET." VALUES('1', '100', '340', '', '', '1')";


$inf_droptable[1] = RADIO;
$inf_droptable[2] = RADIO_SET;
$inf_droptable[3] = RADIO_PARENT;

$inf_adminpanel[1] = array(
	"title" => $locale['RAP001'],
	"image" => "radio.gif",
	"panel" => "radio_admin.php",
	"rights" => "101"
);


?>